Which operations appear in the network's actions log
The log names of the operations appearing in the entries the caller may read - the operation filter of the log, and what the search operation's action parameter matches on.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/action-log/operations.do
The log names of the operations appearing in the entries the caller may read - the operation filter of the log, and what the search operation's action parameter matches on. A console operation is named after its URL (getAdvertisers, updateCampaignApiPost), an assistant one after its tool (mcp_campaign_create). An operation only a role the caller may not read ever ran is not listed. Requires the Actions Log console permission.
Responses
200
{success, operations:["..."]}
400
Bad request — invalid or missing parameters
401
Authentication error
403
The caller does not hold the Actions Log permission
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/action-log/operations.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());